Algorithmica最新文献

筛选
英文 中文
MUL-Tree Pruning for Consistency and Compatibility 多树剪枝的一致性和兼容性
IF 1 4区 计算机科学
Algorithmica Pub Date : 2026-07-08 DOI: 10.1007/s00453-026-01400-9
Christopher Hampson, Daniel J. Harvey, Costas S. Iliopoulos, Jesper Jansson, Zara Lim, Wing-Kin Sung
{"title":"MUL-Tree Pruning for Consistency and Compatibility","authors":"Christopher Hampson,&nbsp;Daniel J. Harvey,&nbsp;Costas S. Iliopoulos,&nbsp;Jesper Jansson,&nbsp;Zara Lim,&nbsp;Wing-Kin Sung","doi":"10.1007/s00453-026-01400-9","DOIUrl":"10.1007/s00453-026-01400-9","url":null,"abstract":"<div><p>A multi-labelled tree (or MUL-tree) is a rooted tree leaf-labelled by a set of labels, where each label may appear more than once in the tree. We consider the MUL-tree Set Pruning for Consistency problem (<span>(textsf{MULSETPC})</span>), which takes as input a set of MUL-trees and asks whether there exists a perfect pruning of each MUL-tree that results in a consistent set of single-labelled trees. <span>(textsf{MULSETPC})</span> was proven to be NP-complete by Gascon et al. when the MUL-trees are binary, each leaf label is used at most three times, and the number of MUL-trees is unbounded. To determine the computational complexity of the problem when the number of MUL-trees is constant was left as an open problem. Here, we resolve this question by proving a much stronger result, namely that <span>(textsf{MULSETPC})</span> is NP-complete even when there are only two MUL-trees, every leaf label is used at most twice, and either every MUL-tree is binary or every MUL-tree has constant height. Furthermore, we introduce an extension of <span>(textsf{MULSETPC})</span> that we call <span>(textsf{MULSETPComp})</span>, which replaces the notion of consistency with compatibility. We prove that <span>(textsf{MULSETPComp})</span> is NP-complete even in two highly restricted cases – when there are only two MUL-trees, every MUL-tree has constant height and either every leaf label is used at most thrice or the instance contains a single-labelled tree containing all leaf labels. Finally, we present a polynomial-time algorithm for a special case of <span>(textsf{MULSETPC})</span> with a constant number of binary MUL-trees where every leaf label appears exactly once in at least one MUL-tree.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 4","pages":""},"PeriodicalIF":1.0,"publicationDate":"2026-07-08","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148465563","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Reforming an Unfair Allocation by Exchanging Goods 通过商品交换改革不公平分配
IF 1 4区 计算机科学
Algorithmica Pub Date : 2026-06-29 DOI: 10.1007/s00453-026-01401-8
Sheung Man Yuen, Ayumi Igarashi, Naoyuki Kamiyama, Warut Suksompong
{"title":"Reforming an Unfair Allocation by Exchanging Goods","authors":"Sheung Man Yuen,&nbsp;Ayumi Igarashi,&nbsp;Naoyuki Kamiyama,&nbsp;Warut Suksompong","doi":"10.1007/s00453-026-01401-8","DOIUrl":"10.1007/s00453-026-01401-8","url":null,"abstract":"<div><p>Fairly allocating indivisible goods is a frequently occurring task in everyday life. Given an initial allocation of the goods, we consider the problem of reforming it via a sequence of exchanges to attain fairness in the form of envy-freeness up to one good (EF1). We present a vast array of results on the complexity of determining whether it is possible to reach an EF1 allocation from the initial allocation and, if so, the minimum number of exchanges required. In particular, we uncover several distinctions based on the number of agents involved and their utility functions. Furthermore, we derive essentially tight bounds on the worst-case number of exchanges needed to achieve EF1 when the initial allocation is balanced.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 4","pages":""},"PeriodicalIF":1.0,"publicationDate":"2026-06-29","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"https://link.springer.com/content/pdf/10.1007/s00453-026-01401-8.pdf","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148380302","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"OA","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Fault-Tolerant ST-Diameter Oracles 容错性ST-Diameter oracle
IF 1 4区 计算机科学
Algorithmica Pub Date : 2026-06-17 DOI: 10.1007/s00453-026-01399-z
Davide Bilò, Keerti Choudhary, Sarel Cohen, Tobias Friedrich, Simon Krogmann, Martin Schirneck
{"title":"Fault-Tolerant ST-Diameter Oracles","authors":"Davide Bilò,&nbsp;Keerti Choudhary,&nbsp;Sarel Cohen,&nbsp;Tobias Friedrich,&nbsp;Simon Krogmann,&nbsp;Martin Schirneck","doi":"10.1007/s00453-026-01399-z","DOIUrl":"10.1007/s00453-026-01399-z","url":null,"abstract":"<div><p>Given two vertex sets <i>S</i> and <i>T</i> in a graph, the <i>ST</i>-diameter is the maximum <i>s</i>-<i>t</i>-distance between vertices <span>(s in S)</span> and <span>(t in T)</span>. We study the problem of estimating the <i>ST</i>-diameter of graphs that are subject to a small number of transient edge failures. An <i>f-edge fault-tolerant ST-diameter oracle</i> (<i>f</i>-FDO-<i>ST</i>) is a data structure that preprocesses a graph <i>G</i>, sets <i>S</i>, <i>T</i>, and a positive integer <i>f</i>. When queried with a set <i>F</i> of at most <i>f</i> failing edges, the oracle returns an estimate <span>(widehat{D})</span> of the <i>ST</i>-diameter in <span>(G,{-},F)</span>. The oracle is said to have stretch <span>(sigma geqslant 1)</span> if <span>({{,textrm{diam},}}(G{-}F,S,T) leqslant widehat{D} leqslant sigma cdot {{,textrm{diam},}}(G{-}F,S,T))</span>. We design new <i>f</i>-FDO-<i>ST</i>s by reducing their construction to that of all-pairs and single-source <i>distance sensitivity oracles</i> (<i>f</i>-DSOs). These are data structures that estimate the pairwise graph distances, or respectively the distances from a distinguished source, under up to <i>f</i> failures. We obtain several new trade-offs between the size of the <i>ST</i>-diameter oracles, their stretch guarantees, query and preprocessing times by combining our black-box reductions with <i>f</i>-DSO results from the literature. We further provide a lower bound on the space requirement of approximate <i>ST</i>-diameter oracles. We prove that there exists a family of graphs for which any <i>f</i>-FDO-<i>ST</i> with sensitivity <span>(f geqslant 2)</span> and stretch better than 5/3 requires <span>(Omega (n^{3/2}))</span> bits of space, regardless of the query time.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 4","pages":""},"PeriodicalIF":1.0,"publicationDate":"2026-06-17","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"https://link.springer.com/content/pdf/10.1007/s00453-026-01399-z.pdf","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148281107","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"OA","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Segment Proximity Graphs and Nearest Neighbor Queries amid Disjoint Segments 不相交段的段邻近图和最近邻查询
IF 1 4区 计算机科学
Algorithmica Pub Date : 2026-06-15 DOI: 10.1007/s00453-026-01395-3
Pankaj K. Agarwal, Haim Kaplan, Matthew J. Katz, Micha Sharir
{"title":"Segment Proximity Graphs and Nearest Neighbor Queries amid Disjoint Segments","authors":"Pankaj K. Agarwal,&nbsp;Haim Kaplan,&nbsp;Matthew J. Katz,&nbsp;Micha Sharir","doi":"10.1007/s00453-026-01395-3","DOIUrl":"10.1007/s00453-026-01395-3","url":null,"abstract":"<div><p>In this paper we study several proximity problems related to a set of pairwise-disjoint segments in <span>({mathbb {R}}^2)</span>. Let <i>S</i> be a set of <i>n</i> pairwise-disjoint segments in <span>({mathbb {R}}^2)</span>, and let <span>(r&gt;0)</span> be a parameter. We define the <i>segment r-proximity graph</i> of <i>S</i> to be <span>(G_r(S):= (S,E))</span>, where <span>(E = { (e_1,e_2) mid textrm{dist}(e_1,e_2) le r})</span> and <span>(textrm{dist}(e_1,e_2) = min _{(p,q)in e_1times e_2} Vert p-qVert )</span> is the Euclidean distance between <span>(e_1)</span> and <span>(e_2)</span>. We define the weight of an edge <span>((e_1,e_2) in E)</span> to be <span>(textrm{dist}(e_1,e_2))</span>. We first present a simple grid-based <span>(O(nlog ^2 n))</span>-time algorithm for computing a BFS tree of <span>(G_r(S))</span>. We apply it to obtain an <span>(O^*(n^{8/7}) + O(nlog ^2nlog Delta ))</span>-time algorithm for the so-called <i>reverse shortest path problem</i>, in which given two segments <span>(s, t in S)</span> and an integer <span>(k&gt;0)</span>, we wish to compute the smallest value <span>(r^*)</span> for which <span>(G_{r^*}(S))</span> contains a path from <i>s</i> to <i>t</i> composed of at most <i>k</i> edges. (Here the <span>(O^*(cdot ))</span> notation hides polylogarithmic factors.) Here <span>(Delta = max _{ene e' in S} textrm{dist}(e,e')/min _{ene e' in S} textrm{dist}(e,e'))</span> is what we call the <i>spread</i> of <i>S</i>. Next, we present a dynamic data structure that can maintain a set <i>S</i> of pairwise-disjoint segments in the plane under insertions/deletions so that the segment of <i>S</i> closest to a query segment <i>e</i>, chosen from an unknown set <i>Q</i> of pairwise-disjoint segments, can be computed in <span>(O(log ^5 n))</span> amortized time. The amortized update time is also <span>(O(log ^5 n))</span>. We note that if the segments in <span>(Scup Q)</span> are allowed to intersect then the known lower bounds on halfplane range searching suggest that a sequence of <i>n</i> updates and queries may take at least close to <span>(Omega (n^{4/3}))</span> time in the worst case. One thus has to strongly rely on the non-intersecting property of <i>S</i> and <i>Q</i> to perform updates and queries in <span>(O(textrm{polylog}(n)))</span> (amortized) time each. Using these results on nearest-neighbor (NN) searching for disjoint segments, we show that a DFS tree (or forest) of <span>(G_r(S))</span> can be computed in <span>(O(nlog ^4n))</span> time. We also obtain an <span>(O(nlog ^3n))</span>-time algorithm for constructing a minimum spanning tree of <span>(G_r(S))</span>. Finally, we present an <span>(O^*(n^{4/3}))</span>-time algorithm for computing a single-source shortest-path tree in <span>(G_r(S))</span>. This is the only result where we could not achieve a near-linear performance.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 4","pages":""},"PeriodicalIF":1.0,"publicationDate":"2026-06-15","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148281377","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
A Lower Bound on the Trace Norm of Boolean Matrices and its Applications 布尔矩阵迹范数的下界及其应用
IF 0.7 4区 计算机科学
Algorithmica Pub Date : 2026-06-08 DOI: 10.1007/s00453-026-01396-2
Tsun-Ming Cheung, Hamed Hatami, Kaave Hosseini, Aleksandar Nikolov, Toniann Pitassi, Morgan Shirley
{"title":"A Lower Bound on the Trace Norm of Boolean Matrices and its Applications","authors":"Tsun-Ming Cheung,&nbsp;Hamed Hatami,&nbsp;Kaave Hosseini,&nbsp;Aleksandar Nikolov,&nbsp;Toniann Pitassi,&nbsp;Morgan Shirley","doi":"10.1007/s00453-026-01396-2","DOIUrl":"10.1007/s00453-026-01396-2","url":null,"abstract":"<div><p>We present a simple method based on a variant of Hölder’s inequality to lower-bound the trace norm of Boolean matrices. As the main result, we obtain an exponential separation between the randomized decision tree depth and the spectral norm (i.e. the Fourier <span>(L_1)</span>-norm) of a Boolean function. This answers an open question of Cheung, Hatami, Hosseini, and Shirley (CCC 2023). As immediate consequences, we obtain the following results.\u0000</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 4","pages":""},"PeriodicalIF":0.7,"publicationDate":"2026-06-08","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148193819","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
A General Upper Bound for the Runtime of a Coevolutionary Algorithm on Impartial Combinatorial Games 公平组合对策下协同进化算法运行时间的一般上界
IF 0.7 4区 计算机科学
Algorithmica Pub Date : 2026-06-04 DOI: 10.1007/s00453-026-01397-1
Alistair Benford, Per Kristian Lehre
{"title":"A General Upper Bound for the Runtime of a Coevolutionary Algorithm on Impartial Combinatorial Games","authors":"Alistair Benford,&nbsp;Per Kristian Lehre","doi":"10.1007/s00453-026-01397-1","DOIUrl":"10.1007/s00453-026-01397-1","url":null,"abstract":"<div><p>Due to their complex dynamics, combinatorial games are a key test case and application for algorithms that train game playing agents. Among those algorithms that train using self-play are coevolutionary algorithms (CoEAs). However, the successful application of CoEAs for game playing is difficult due to pathological behaviours such as cycling, an issue especially critical for games with intransitive payoff landscapes. Insight into how to design CoEAs to avoid such behaviours can be provided by runtime analysis. In this paper, we push the scope of runtime analysis for CoEAs to combinatorial games, proving a general upper bound for the number of simulated games needed for a simple estimation of distribution algorithm to discover (with high probability) an optimal strategy. This result applies to any impartial combinatorial game, and for many games the implied bound is polynomial or quasipolynomial as a function of the number of game positions. After proving the main result, we provide several applications to simple well-known games: Nim, Chomp, Silver Dollar, and Turning Turtles. As the first runtime analysis for CoEAs on combinatorial games, this result is a critical step towards a comprehensive theoretical framework for coevolution.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 3","pages":""},"PeriodicalIF":0.7,"publicationDate":"2026-06-04","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"https://link.springer.com/content/pdf/10.1007/s00453-026-01397-1.pdf","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148172465","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"OA","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Counting Polyominoes, Revisited 数多利骨牌,重访
IF 0.7 4区 计算机科学
Algorithmica Pub Date : 2026-06-03 DOI: 10.1007/s00453-026-01392-6
Gill Barequet, Gil Ben-Shachar
{"title":"Counting Polyominoes, Revisited","authors":"Gill Barequet,&nbsp;Gil Ben-Shachar","doi":"10.1007/s00453-026-01392-6","DOIUrl":"10.1007/s00453-026-01392-6","url":null,"abstract":"<div><p>A <i>polyomino</i> is an edge-connected set of squares on the square lattice. In this paper, we improve the Conway-Jensen polyomino-counting algorithm by considering bounding boxes on the square lattice rotated by <span>(45^circ )</span> instead of on the regular unrotated lattice. This allows us to extend significantly the count of polyominoes from 56 to 70 terms.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 3","pages":""},"PeriodicalIF":0.7,"publicationDate":"2026-06-03","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148172418","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Tree-Packing Revisited: Faster Fully Dynamic Min-Cut and Arboricity 重新访问树填充:更快的全动态最小切割和树栖性
IF 0.7 4区 计算机科学
Algorithmica Pub Date : 2026-06-03 DOI: 10.1007/s00453-026-01394-4
Tijn de Vos, Aleksander Christiansen
{"title":"Tree-Packing Revisited: Faster Fully Dynamic Min-Cut and Arboricity","authors":"Tijn de Vos,&nbsp;Aleksander Christiansen","doi":"10.1007/s00453-026-01394-4","DOIUrl":"10.1007/s00453-026-01394-4","url":null,"abstract":"<div><p>Tree-packings – collections of spanning trees of a graph – are a fundamental tool in the study of minimum cut and related graph parameters. They have played a central role in the design of algorithms across static, dynamic, and distributed settings. In this paper, we study both tree-packings themselves and their structural connections to min-cut and arboricity. Our results lead to faster dynamic algorithms for both problems. For dynamic min-cut, [Thorup, Comb. 2007] used tree-packings to obtain his dynamic min-cut algorithm with <span>(tilde{O}(lambda ^{14.5}sqrt{n}))</span> worst-case update time. We reexamine this relationship, showing that we need to maintain fewer trees for such a result; we show that we only need to pack <span>(Theta (lambda ^3 log m))</span> greedy trees to guarantee either a 1-respecting cut or a trivial cut in some contracted graph. Based on this structural result, we then provide a deterministic algorithm for fully dynamic exact min-cut that has <span>(tilde{O}(lambda ^{5.5}sqrt{n}))</span> worst-case update time, for graphs with min-cut value at most <span>(lambda )</span>. In particular, this also yields an algorithm for fully dynamic exact min-cut with <span>(tilde{O}(m^{1-1/12}))</span> amortized update time, improving upon <span>(tilde{O}(m^{1-1/31}))</span> [Goranci et al., SODA 2023]. We also give the first fully dynamic algorithm that maintains a <span>((1+varepsilon ))</span>-approximation of the fractional arboricity. Our algorithm is deterministic and has <span>(O(alpha log ^6m/varepsilon ^4))</span> amortized update time, for graphs with arboricity at most <span>(alpha )</span>. We extend these results to a Monte Carlo algorithm with <span>(O(operatorname {poly}(log m,varepsilon ^{-1})))</span> amortized update time against an adaptive adversary. Our algorithms work on multi-graphs as well. Our structural results on tree-packing also include a lower bound for greedy tree-packing, which – to the best of our knowledge – is the first progress on this topic since [Thorup, Comb. 2007].</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 3","pages":""},"PeriodicalIF":0.7,"publicationDate":"2026-06-03","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"https://link.springer.com/content/pdf/10.1007/s00453-026-01394-4.pdf","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148172417","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"OA","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Compressed Dictionary Matching on Run-Length Encoded Strings 运行长度编码字符串上的压缩字典匹配
IF 0.7 4区 计算机科学
Algorithmica Pub Date : 2026-05-28 DOI: 10.1007/s00453-026-01398-0
Philip Bille, Inge Li Gørtz, Simon J. Puglisi, Simon Rumle Tarnow
{"title":"Compressed Dictionary Matching on Run-Length Encoded Strings","authors":"Philip Bille,&nbsp;Inge Li Gørtz,&nbsp;Simon J. Puglisi,&nbsp;Simon Rumle Tarnow","doi":"10.1007/s00453-026-01398-0","DOIUrl":"10.1007/s00453-026-01398-0","url":null,"abstract":"<div><p>Given a set of pattern strings <span>(mathcal {P}={P_1, P_2,ldots P_k})</span> and a text string <i>S</i>, the classic dictionary matching problem is to report all occurrences of each pattern in <i>S</i>. We study the dictionary problem in the compressed setting, where the pattern strings and the text string are compressed using run-length encoding, and the goal is to solve the problem without decompression and achieve efficient time and space in the size of the compressed strings. Let <i>m</i> and <i>n</i> be the total length of the patterns <span>(mathcal {P})</span> and the length of the text string <i>S</i>, respectively, and let <span>(overline{m})</span> and <span>(overline{n})</span> be the total number of runs in the run-length encoding of the patterns in <span>(mathcal {P})</span> and <i>S</i>, respectively. Our main result is an algorithm that achieves <span>(O( (overline{m} + overline{n})log log m + textrm{occ}))</span> expected time, and <span>(O(overline{m}))</span> space, where <span>(textrm{occ})</span> is the total number of occurrences of patterns in <i>S</i>. This is the first non-trivial solution to the problem. Since any solution must read the input, our time bound is optimal within a <span>(log log m)</span> factor. We introduce several new techniques to achieve our bounds, including a new compressed representation of the classic Aho-Corasick automaton and a new efficient string index that supports fast queries in run-length encoded strings.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 3","pages":""},"PeriodicalIF":0.7,"publicationDate":"2026-05-28","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"https://link.springer.com/content/pdf/10.1007/s00453-026-01398-0.pdf","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148173484","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"OA","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
Tight Runtime Bounds for Evolutionary Algorithms on Sorting and Crossing Minimisation for Layered Graph Drawings 层状图排序和交叉最小化进化算法的严格运行时边界
IF 0.7 4区 计算机科学
Algorithmica Pub Date : 2026-05-23 DOI: 10.1007/s00453-025-01361-5
Jakob Baumann, Ignaz Rutter, Dirk Sudholt
{"title":"Tight Runtime Bounds for Evolutionary Algorithms on Sorting and Crossing Minimisation for Layered Graph Drawings","authors":"Jakob Baumann,&nbsp;Ignaz Rutter,&nbsp;Dirk Sudholt","doi":"10.1007/s00453-025-01361-5","DOIUrl":"10.1007/s00453-025-01361-5","url":null,"abstract":"<div><p>Graph Drawing aims to make graphs visually comprehensible while faithfully representing their structure. In layered drawings, each vertex is drawn on one of <i>k</i> given horizontal lines and edges are drawn as <i>y</i>-monotone curves. A key ingredient for constructing such drawings is the <span>One-Sided Bipartite Crossing Minimisation (OBCM)</span> problem: given two layers of a bipartite graph and a fixed horizontal order of the vertices on the first layer, the task is to order the vertices on the second layer to minimise the number of edge crossings. We analyse the performance of simple evolutionary algorithms for OBCM and compare different operators for permutations: exchanging two elements, swapping adjacent elements and jumping an element to a new position. We show that on instances that can be drawn crossing-free, OBCM corresponds to a generalised sorting problem. We provide novel and tight lower bounds of <span>(Omega (n^2 log n))</span> for sorting with exchanges and jumps, respectively. This solves a long-standing open problem by Scharnow, Tinnefeld, and Wegener (J. Math. Model. Algorithm 3(4):349–366, 2005). For the simplest and cheapest mutation operator, swap (swapping adjacent elements), we give a tight runtime bound of <span>(Theta (n^2))</span> via a parallel <span>BubbleSort</span> algorithm and a delay sequence argument. This proves that the simplest and cheapest mutation operator is also the fastest for sorting and solving planar <span>OBCM</span> instances.</p></div>","PeriodicalId":50824,"journal":{"name":"Algorithmica","volume":"88 3","pages":""},"PeriodicalIF":0.7,"publicationDate":"2026-05-23","publicationTypes":"Journal Article","fieldsOfStudy":null,"isOpenAccess":false,"openAccessPdf":"https://link.springer.com/content/pdf/10.1007/s00453-025-01361-5.pdf","citationCount":null,"resultStr":null,"platform":"Semanticscholar","paperid":"148009192","PeriodicalName":null,"FirstCategoryId":null,"ListUrlMain":null,"RegionNum":4,"RegionCategory":"计算机科学","ArticlePicture":[],"TitleCN":null,"AbstractTextCN":null,"PMCID":"OA","EPubDate":null,"PubModel":null,"JCR":null,"JCRName":null,"Score":null,"Total":0}
引用次数: 0
0
×
引用
GB/T 7714-2015
复制
MLA
复制
APA
复制
导出至
BibTeX EndNote RefMan NoteFirst NoteExpress
×
提示
您的信息不完整,为了账户安全,请先补充。
现在去补充
×
提示
您因"违规操作"
具体请查看互助需知
我知道了
×
提示
确定
请完成安全验证×
相关产品
×
本文献相关产品
联系我们:info@booksci.cn Book学术提供免费学术资源搜索服务,方便国内外学者检索中英文文献。致力于提供最便捷和优质的服务体验。 Copyright © 2023 布克学术 All rights reserved.
京ICP备2023020795号-1
ghs 京公网安备 11010802042870号
Book学术文献互助
Book学术文献互助群
群 号:604180095
Book学术官方微信
小红书